-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Май 16 2009 г., 16:06
-- Версия сервера: 5.0.51
-- Версия PHP: 5.2.6-1+lenny3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `kbase`
--

-- --------------------------------------------------------

--
-- Структура таблицы `articles`
--

CREATE TABLE IF NOT EXISTS `articles` (
  `aid` int(10) unsigned NOT NULL auto_increment,
  `uid` int(5) NOT NULL,
  `hrurl` varchar(100) NOT NULL,
  `message` text NOT NULL,
  `story` varchar(250) NOT NULL,
  `mcdate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`aid`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Статьи' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `articles`
--


-- --------------------------------------------------------

--
-- Структура таблицы `distros`
--

CREATE TABLE IF NOT EXISTS `distros` (
  `dist_id` int(5) NOT NULL auto_increment,
  `distname` varchar(50) NOT NULL,
  `ot_id` int(1) NOT NULL,
  `distlogo` enum('0','1') NOT NULL,
  PRIMARY KEY  (`dist_id`),
  KEY `ot_id` (`ot_id`),
  KEY `distlogo` (`distlogo`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Дистрибутивы' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `distros`
--


-- --------------------------------------------------------

--
-- Структура таблицы `dversions`
--

CREATE TABLE IF NOT EXISTS `dversions` (
  `vers_id` int(10) NOT NULL auto_increment,
  `dist_id` int(5) NOT NULL,
  `version` varchar(25) NOT NULL,
  `versionname` varchar(25) NOT NULL,
  PRIMARY KEY  (`vers_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Версии дистрибутивов' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `dversions`
--


-- --------------------------------------------------------

--
-- Структура таблицы `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `group_id` int(2) NOT NULL auto_increment,
  `groupname` varchar(50) NOT NULL,
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Группы' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `groups`
--


-- --------------------------------------------------------

--
-- Структура таблицы `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `user_id` int(5) NOT NULL auto_increment,
  `ulogin` varchar(150) NOT NULL,
  `upasswd` varchar(50) NOT NULL,
  `forename` varchar(100) NOT NULL,
  `surname` varchar(100) NOT NULL,
  `group` int(2) NOT NULL,
  `status` int(1) NOT NULL,
  `registered` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`user_id`),
  KEY `group` (`group`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Пользователи' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `members`
--


-- --------------------------------------------------------

--
-- Структура таблицы `ostypes`
--

CREATE TABLE IF NOT EXISTS `ostypes` (
  `ostype_id` int(1) NOT NULL auto_increment,
  `ostypename` varchar(25) NOT NULL,
  PRIMARY KEY  (`ostype_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Типы операционных систем' AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `ostypes`
--

